// *** main.h

#include "cplex.h"
#include "calldll.h"

// *** Variables
// globales
int start, end, mcap;
int nb_ressources;
int min_mtime;
FILE *fich;
FILE *fich_res;

int nb_decal;
int nb_maint;
double max_time;

CPXENVptr  env ;
CPXLPptr   lp;
int        status;
char     strbuf[256];
FILE     *solfile = NULL; // fichier des solutions detaillees

// Pour les ressources : tableau 
// =============================
int Ressources[MAX_RES][12];

// Definition of the table
ptorder List_order[MAX_RES];

// Definition of the table
ptcellu List_sub[MAX_RES];

// Definition of the table
ptaffect List_affect[MAX_RES*MAX_VEH];

// Definition of the table
ptmaint List_maint[MAX_RES*MAX_VEH];

// Definition of the table
ptint_maint List_int_maint[MAX_RES*MAX_VEH];

// Definition of the table
ptrent List_rent[MAX_RES];

// Tableau pour la maintenance
// ===========================
int Maintenance[MAX_MCAP][MAX_TEMPS][2];

// Tableau du nombre de vehicules supp a considerer par type
// =========================================================
int Veh_Sup[MAX_RES];

// Tableau des "affectations optimales"
// ====================================
int Aff[MAX_VEH][MAX_ORDER_VEH];

// Tableau des "locations forcees"
// ====================================
int Loca[MAX_RES][MAX_ORDER_VEH];


