// --- read.cpp
// --- Lecture des fichiers

#include <stdlib.h>
#include <stdio.h>


#include "constante.h"
#include "structure.h"
#include "read.h"

extern int start;
extern int end;
extern int Ressources[MAX_RES][12];
extern int min_mtime;
extern int nb_ressources;
extern int mcap;

extern ptcellu List_sub[MAX_RES];
extern ptorder List_order[MAX_RES];

extern FILE *fich_res;


void read(int iter, int achat)
{
FILE *ptr_fichier;
int i, s, ss;
char rep;
char c;
int o1, o2, o3, o4, o5;
int ajout;
ptcellu p, np;
ptorder po, pro, no;


if (achat == 0)
	{
	switch (iter)
		{
		case 1 :
			ptr_fichier=fopen("../Data/I808nb.tes","r");
			fprintf(fich_res, "\n I808nb\t");
			break;
		case 2 :
			ptr_fichier=fopen("../Data/I1507nb.tes","r");
			fprintf(fich_res, "\n I1507nb\t");
			break;
		case 3 :
			ptr_fichier=fopen("../Data/I2007nb.tes","r");
			fprintf(fich_res, "\n I2007nb\t");
			break;
		case 4 :
			ptr_fichier=fopen("../Data/I2007bisnb.tes","r");
			fprintf(fich_res, "\n I2007bisnb\t");
			break;
		case 5 :
			ptr_fichier=fopen("../Data/I2109nb.tes","r");
			fprintf(fich_res, "\n I2109nb\t");
			break;
		case 6 :
			ptr_fichier=fopen("../Data/I2109bisnb.tes","r");
			fprintf(fich_res, "\n I2109bisnb\t");
			break;
		case 7 :
			ptr_fichier=fopen("../Data/I20012nb.tes","r");
			fprintf(fich_res, "\n I20012nb\t");
			break;
		case 8 :
			ptr_fichier=fopen("../Data/I16012nb.tes","r");
			fprintf(fich_res, "\n I16012nb\t");
			break;	
		}
	}
	else
	{
	switch (iter)
		{
		case 1 :
			ptr_fichier=fopen("../Data/I808b.tes","r");
			fprintf(fich_res, "\n I808b\t");
			break;
		case 2 :
			ptr_fichier=fopen("../Data/I1507b.tes","r");
			fprintf(fich_res, "\n I1507b\t");
			break;
		case 3 :
			ptr_fichier=fopen("../Data/I2007b.tes","r");
			fprintf(fich_res, "\n I2007b\t");
			break;
		case 4 :
			ptr_fichier=fopen("../Data/I2007bisb.tes","r");
			fprintf(fich_res, "\n I2007bisb\t");
			break;
		case 5 :
			ptr_fichier=fopen("../Data/I2109b.tes","r");
			fprintf(fich_res, "\n I2109n\t");
			break;
		case 6 :
			ptr_fichier=fopen("../Data/I2109bisb.tes","r");
			fprintf(fich_res, "\n I2109bisb\t");
			break;
		case 7 :
			ptr_fichier=fopen("../Data/I20012b.tes","r");
			fprintf(fich_res, "\n I20012b\t");
			break;
		case 8 :
			ptr_fichier=fopen("../Data/I16012b.tes","r");
			fprintf(fich_res, "\n I16012b\t");
			break;
		}
	}
	


// --- Globals ---
fscanf(ptr_fichier,"globals(%d, %d, %d)\n",&start, &end, &mcap);
printf("\n%d %d %d", start, end, mcap);

// --- Ressources ---
i = 1;
min_mtime = MAX;

fscanf(ptr_fichier,"%c", &c);
while ( c == 'r')
	{
fscanf(ptr_fichier,"esource(%d, %d, %d, %d, %d, %d, %d, %d, %d, %d, %d, %d)\n",
    &Ressources[i][1], &Ressources[i][2], &Ressources[i][3], 
    &Ressources[i][4],&Ressources[i][5], &Ressources[i][6],
    &Ressources[i][7], &Ressources[i][8], &Ressources[i][9], 
    &Ressources[i][10], &Ressources[i][11], &Ressources[i][12]);
printf("\n %d, %d, %d, %d, %d, %d, %d, %d, %d, %d, %d, %d",
    Ressources[i][1], Ressources[i][2], Ressources[i][3], 
    Ressources[i][4],Ressources[i][5], Ressources[i][6],
    Ressources[i][7], Ressources[i][8], Ressources[i][9], 
    Ressources[i][10], Ressources[i][11], Ressources[i][12]);
	
	if (min_mtime > Ressources[i][4])
		min_mtime = Ressources[i][4];
		
	i++;
	fscanf(ptr_fichier,"%c", &c);
	}
nb_ressources = i-1;
printf("\n nb ressource = %i", nb_ressources);
		
		
// --- Substituables
// --- =============

// --- init of the tables
for (i=1; i<=nb_ressources; i++)
	{
	np = (ptcellu) malloc (sizeof(tcellu));
	np->nb_res = i;
	np->next = NULL;
	List_sub[i] = np;
	}

while ( c == 's')
	{
	fscanf(ptr_fichier,"ubstituable(%d, %d)\n", &s, &ss);
	//printf("\n Sub %i %i \n", s, ss);
	
	for (i=1; i<=nb_ressources; i++)
		{
		ajout = 0;
		p = List_sub[i];
		if (p->nb_res == s)
				ajout = 1;

		while (p->next != NULL)
			{
			p = p->next;
			if (p->nb_res == s)
				ajout = 1;	
			}
		
		if (ajout == 1)
			{
			np = (ptcellu) malloc (sizeof(tcellu));
			np->nb_res = ss;
			np->next = NULL;
			p->next = np;
			}
		}
	fscanf(ptr_fichier,"%c", &c);
	}

// Verif	
printf("\n Substituable ");
for (i=1; i<=nb_ressources; i++)
	{
	printf("\n %i : ", List_sub[i]->nb_res);
	p = List_sub[i];
	while (p->next != NULL)
			{
			p = p->next;
			printf(" %i ", p->nb_res);
			}	
	}
	
// --- Orders
// --- ======

// --- init of the table
for (i=1; i<=nb_ressources; i++)
	{
	List_order[i] = NULL;
	}

while ( (c == 'o') )
	{
	fscanf(ptr_fichier,"rder(%d, %d, %d, %d, %d)\n", &o1, &o2, &o3, &o4, &o5);
	//printf("\n order %d %d %d %d %d ", o1, o2, o3, o4, o5);
	
	no = (ptorder) malloc (sizeof(torder));
	no->order_id = o1;
	no->st = o2;
	no->et = o3;
	no->rq = o4;
	no->rtype_id = o5;
	no->alloc = 0;
	no ->next = NULL;
	
	
	if (List_order[no->rtype_id] == NULL) 	// Premiere position
		List_order[no->rtype_id] = no;
	else
		{
		po = List_order[no->rtype_id];
		//if (  po->st > no->st)	
		if ( (po->et - po->st) < (no->et - no->st))	// Ajout en tete
			{
			List_order[no->rtype_id] = no;
			no->next = po;
			}
		else 
			{
			while ((po->next != NULL) && ((po->et - po->st) >= (no->et - no->st)) )
			//while ((po->next != NULL) && ( po->st <= no->st) )
				{
				pro = po;
				po = po->next;
				}
			//if (  po->st >  no->st)  
			if ( (po->et - po->st) < (no->et - no->st) ) 	// Ajout central
				{
				pro->next = no;
				no ->next = po;
				}
			else	// Ajout en fin
				po->next = no;
			}
		}

	c = 'f';
	fscanf(ptr_fichier,"%c", &c);
	}
	
// Verif
/*for (i=1; i<=nb_ressources; i++)
	{
	printf("\n Ordres %i \n", i);
	po = List_order[i];
	while (po != NULL)
		{
		printf(" %d ", po->order_id);
		po = po->next;
		}
	}*/
	
fclose(ptr_fichier);

}